# Generated by ariadne-codegen
# Source: ./documents

from typing import Any, List, Optional

from pydantic import Field

from .base_model import BaseModel
from .enums import (
    ContentTypes,
    EntityState,
    FileTypes,
    LinkTypes,
    MailImportance,
    MailPriority,
    MailSensitivity,
    ObservableTypes,
    OccurrenceTypes,
)


class Content(BaseModel):
    content: Optional["ContentContent"]


class ContentContent(BaseModel):
    id: str
    name: str
    creation_date: Any = Field(alias="creationDate")
    owner: "ContentContentOwner"
    state: EntityState
    original_date: Optional[Any] = Field(alias="originalDate")
    finished_date: Optional[Any] = Field(alias="finishedDate")
    workflow_duration: Optional[Any] = Field(alias="workflowDuration")
    uri: Optional[Any]
    type: Optional[ContentTypes]
    file_type: Optional[FileTypes] = Field(alias="fileType")
    mime_type: Optional[str] = Field(alias="mimeType")
    file_name: Optional[str] = Field(alias="fileName")
    file_size: Optional[Any] = Field(alias="fileSize")
    master_uri: Optional[Any] = Field(alias="masterUri")
    image_uri: Optional[Any] = Field(alias="imageUri")
    text_uri: Optional[Any] = Field(alias="textUri")
    audio_uri: Optional[Any] = Field(alias="audioUri")
    transcript_uri: Optional[Any] = Field(alias="transcriptUri")
    video: Optional["ContentContentVideo"]
    audio: Optional["ContentContentAudio"]
    image: Optional["ContentContentImage"]
    document: Optional["ContentContentDocument"]
    email: Optional["ContentContentEmail"]
    issue: Optional["ContentContentIssue"]
    observations: Optional[List[Optional["ContentContentObservations"]]]
    parent: Optional["ContentContentParent"]
    children: Optional[List[Optional["ContentContentChildren"]]]
    collections: Optional[List[Optional["ContentContentCollections"]]]
    feed: Optional["ContentContentFeed"]
    workflow: Optional["ContentContentWorkflow"]
    markdown: Optional[str]
    links: Optional[List["ContentContentLinks"]]
    error: Optional[str]


class ContentContentOwner(BaseModel):
    id: str


class ContentContentVideo(BaseModel):
    width: Optional[int]
    height: Optional[int]
    duration: Optional[str]
    software: Optional[str]
    make: Optional[str]
    model: Optional[str]


class ContentContentAudio(BaseModel):
    keywords: Optional[List[Optional[str]]]
    author: Optional[str]
    series: Optional[str]
    episode: Optional[str]
    episode_type: Optional[str] = Field(alias="episodeType")
    season: Optional[str]
    publisher: Optional[str]
    copyright: Optional[str]
    language: Optional[str]
    genre: Optional[str]
    title: Optional[str]
    bitrate: Optional[int]
    channels: Optional[int]
    sample_rate: Optional[int] = Field(alias="sampleRate")
    bits_per_sample: Optional[int] = Field(alias="bitsPerSample")
    duration: Optional[str]


class ContentContentImage(BaseModel):
    width: Optional[int]
    height: Optional[int]
    description: Optional[str]
    software: Optional[str]
    identifier: Optional[str]
    make: Optional[str]
    model: Optional[str]


class ContentContentDocument(BaseModel):
    title: Optional[str]
    subject: Optional[str]
    author: Optional[str]
    software: Optional[str]
    publisher: Optional[str]
    description: Optional[str]
    summary: Optional[str]
    keywords: Optional[List[Optional[str]]]
    page_count: Optional[int] = Field(alias="pageCount")
    worksheet_count: Optional[int] = Field(alias="worksheetCount")
    slide_count: Optional[int] = Field(alias="slideCount")
    word_count: Optional[int] = Field(alias="wordCount")
    line_count: Optional[int] = Field(alias="lineCount")
    paragraph_count: Optional[int] = Field(alias="paragraphCount")
    character_count: Optional[int] = Field(alias="characterCount")
    is_encrypted: Optional[bool] = Field(alias="isEncrypted")
    has_digital_signature: Optional[bool] = Field(alias="hasDigitalSignature")


class ContentContentEmail(BaseModel):
    subject: Optional[str]
    identifier: Optional[str]
    sensitivity: Optional[MailSensitivity]
    priority: Optional[MailPriority]
    importance: Optional[MailImportance]
    labels: Optional[List[Optional[str]]]
    from_: Optional[List[Optional["ContentContentEmailFrom"]]] = Field(alias="from")
    to: Optional[List[Optional["ContentContentEmailTo"]]]
    cc: Optional[List[Optional["ContentContentEmailCc"]]]
    bcc: Optional[List[Optional["ContentContentEmailBcc"]]]


class ContentContentEmailFrom(BaseModel):
    name: Optional[str]
    family_name: Optional[str] = Field(alias="familyName")
    given_name: Optional[str] = Field(alias="givenName")
    email: Optional[str]


class ContentContentEmailTo(BaseModel):
    name: Optional[str]
    family_name: Optional[str] = Field(alias="familyName")
    given_name: Optional[str] = Field(alias="givenName")
    email: Optional[str]


class ContentContentEmailCc(BaseModel):
    name: Optional[str]
    family_name: Optional[str] = Field(alias="familyName")
    given_name: Optional[str] = Field(alias="givenName")
    email: Optional[str]


class ContentContentEmailBcc(BaseModel):
    name: Optional[str]
    family_name: Optional[str] = Field(alias="familyName")
    given_name: Optional[str] = Field(alias="givenName")
    email: Optional[str]


class ContentContentIssue(BaseModel):
    title: Optional[str]
    project: Optional[str]
    team: Optional[str]
    status: Optional[str]
    priority: Optional[str]
    type: Optional[str]
    identifier: Optional[str]
    labels: Optional[List[Optional[str]]]


class ContentContentObservations(BaseModel):
    type: ObservableTypes
    observable: "ContentContentObservationsObservable"
    occurrences: Optional[List[Optional["ContentContentObservationsOccurrences"]]]


class ContentContentObservationsObservable(BaseModel):
    id: str
    name: Optional[str]


class ContentContentObservationsOccurrences(BaseModel):
    type: Optional[OccurrenceTypes]
    confidence: Optional[float]
    bounding_box: Optional["ContentContentObservationsOccurrencesBoundingBox"] = Field(
        alias="boundingBox"
    )
    page_index: Optional[int] = Field(alias="pageIndex")
    start_time: Optional[Any] = Field(alias="startTime")
    end_time: Optional[Any] = Field(alias="endTime")


class ContentContentObservationsOccurrencesBoundingBox(BaseModel):
    left: Optional[float]
    top: Optional[float]
    width: Optional[float]
    height: Optional[float]


class ContentContentParent(BaseModel):
    id: str


class ContentContentChildren(BaseModel):
    id: str


class ContentContentCollections(BaseModel):
    id: str


class ContentContentFeed(BaseModel):
    id: str


class ContentContentWorkflow(BaseModel):
    id: str


class ContentContentLinks(BaseModel):
    uri: Optional[Any]
    link_type: Optional[LinkTypes] = Field(alias="linkType")


Content.model_rebuild()
ContentContent.model_rebuild()
ContentContentEmail.model_rebuild()
ContentContentObservations.model_rebuild()
ContentContentObservationsOccurrences.model_rebuild()
